jQuery(document).ready(function () {
	
	if (registroManual == 0){
		$("form input[id=FRegSal014]").attr("readonly", "readonly");
		$("form input[id=NRegSal014]").attr("readonly", "readonly");
		//$("#FRegSal014").rup_date({datetimepicker: true, disabled: true});
	} else {
		$("#FRegSal014").rup_date({datetimepicker: true});
	}

	var hayDoc = contarDocs ();
	var estaEnDokusi= enDokusi();
	
	if ($("#id004Firmante").val()){
		 $("#firmantesFieldset input[type=radio][value=" + $("#id004Firmante").val()+"]").prop("checked", true);
	 }
	
	//Botonera guardar datos expediente
	if(!estadoCierreRealizado && esUsuarioModificacion){
		if(estaEnDokusi==false){//Si el documento esta en dokusi, no mostrar toolbar 
			if(hayDoc==true){
				$("#gestionarDocs_toolbar").rup_toolbar({
					buttons:
						[{id:"BorrarDocumento", i18nCaption:$.rup.i18n.app.botones.BorrarDoc, left:true},
						 {id:"EditarDocumento", i18nCaption:$.rup.i18n.app.botones.EditarDoc, left:true, click:fncDescargaDocumentoPif},
						 {id:"FirmarDocumento", i18nCaption:$.rup.i18n.app.botones.FirmarDoc, left:true, click:fncSubirDocumentoDokusi}]
				});
				
				bloqueaCampos();
			}else{
				$("#gestionarDocs_toolbar").rup_toolbar({
					buttons:
						[{id:"GenerarDocumento", i18nCaption:$.rup.i18n.app.botones.GenerarDoc, left:true, click:fn_generar},
						 {id:"DeshacerDesistimiento", i18nCaption:$.rup.i18n.app.botones.DeshacerDesistimiento, left:true}]
				});
				$("#ftramitacion014").rup_date({datetimepicker: false});
			}
		}else {
			bloqueaCampos();
			
			if (idestado == 5){
			/*	$("#gestionarDocs_toolbar").rup_toolbar({
					buttons:
						[{id:"DeshacerDesistimiento", i18nCaption:$.rup.i18n.app.botones.DeshacerDesistimiento, left:true}]
				});*/		
			} else {
				if(vistoBueno=="S"){
					$("#gestionarDocs_toolbar").rup_toolbar({
						buttons:
							[{id:"VistoBueno", i18nCaption:$.rup.i18n.app.botones.VistoBueno, left:true, click:fncVistoBueno}]
					});
				}					
			} 
		}
	}else{
		bloqueaCampos();
	}
	
	$("#resolDesestimiento_form").rup_validate({
		feedback:$("#tramitacion_feedback"),
		liveCheckingErrors: true,
		showFieldErrorAsDefault: true,
		showErrorsInFeedback: true,
		showFieldErrorsInFeedback: true,
		rules:{
			"ftramitacion014":{required:true, date:true},
			"FRegSal014":{required:function(){
				if (registroManual == 1){return true;} 
				else { return false;}
				}, dateTime:true},
			"NRegSal014":{required:function(){
				if (registroManual == 1){return true;} 
				else { return false;}
				}
			}
		}
	});
	
	$("[id='gestionarDocs_toolbar##DeshacerDesistimiento']").click(function(){
		fn_deshacer($.rup.i18n.app.mensajes.confirmDeshacerDesistimiento);
	});
	
	$("[id='gestionarDocs_toolbar##BorrarDocumento']").click(function(){
		fn_borrar($.rup.i18n.app.mensajes.confirmBorrarDocumento);
	});
});	

function bloqueaCampos(){
	$("#observacionesEs").attr("readonly", "readonly");
	$("#observacionesEu").attr("readonly", "readonly");
	$("form input[name=firmante]").attr("disabled", "disabled");
	$("#ftramitacion014").attr("readonly", "readonly");
	 
	$("form input[id=FRegSal014]").attr("readonly", "readonly");
	$("form input[id=NRegSal014]").attr("readonly", "readonly");
	//$("#FRegSal014").rup_date({datetimepicker: true, disabled: true});
}

function fn_generar (){
	var tipoDocumento= "Desistimiento";
	var idExpediente = $("#idProv010").val()+"/"+$("#idAno010").val()+"/"+$("#id010").val();
	var idFase=$("#id001Fase").val();
	var id014=$("#id014").val();
	var idFirmante = $("[name=firmante]:checked").val();
	var fechaTramitacion = $("#ftramitacion014").val();
	
	if(ab03bUtils.form.validate($("#resolDesestimiento_form"), $("#tramitacion_feedback"))){
		
		if(isFirmanteSeleccionado()){
			$.rup_ajax({
				url: $.rup.CTX_PATH + "documento/generarDocumento",
				dataType: 'json',
				cache:false,
				data:{
					"idExpediente" : idExpediente,
					"idFirmante": idFirmante,
					"observacionesEs" : $("#observacionesEs").val(),
					"observacionesEu" : $("#observacionesEu").val(),
					"FRegSal014" : $("#FRegSal014").rup_date("getDate"),
					"NRegSal014" : $("#NRegSal014").val(),
					"idFase":idFase,
					"id014":id014,
					"tipoDocumento": tipoDocumento,
					"fTramitacion014": fechaTramitacion
				},
				type:"GET",
				contentType: 'application/json',
				success: function(xhr, ajaxOoptions){
					fncEditarPifSuccess(xhr.rutaCompleta);
					location.href = "../../../../"+ idExpediente + "/"+id014+"/"+estadoCierreRealizado+"?accionOK=true";
				},
				error: function(error){
					ab03bUtils.feedback.pintarFeedbackError(error.responseText, $("#feedbackMensajes"));
					$("#FRegSal014").rup_date("setDate", null);
					$("#NRegSal014").val("");
				},
				beforeSend : function() {
					ab03bUtils.util.bloquearInterfaz();
				},
				complete: function() {
					ab03bUtils.util.desBloquearInterfaz();
				}
			});
		} else {
			ab03bUtils.feedback.pintarFeedbackError($.rup.i18n.app.mensajes.errorFirmante,  $("#tramitacion_feedback"));
		}
	}
};
